From a1597a2cf452dc3e4f34c965c3be2f042691b7ef Mon Sep 17 00:00:00 2001
From: Peter Seiderer <ps.report@gmx.net>
Date: Fri, 23 Jan 2015 21:35:14 +0100
Subject: [PATCH v2 2/2] qt5multimedia: enable gstreamer-1.x support

Add 0002-GStreamer-port-to-1.0.patch [1] from upstream qtmultimedia dev branch
(will be in qt-5.5) and 0003-Fix-GStreamer-port-to-1.0-compile.patch to fix
resulting compile failures (private header related).

Fix qt5multimedia.mk for the gstreamer-1.x case (gst-plugins-base and
gst1-plugins-base).

[1] https://qt.gitorious.org/qt/qtmultimedia/commit/108dda7a90bd0f0337358b0db47ae55acd16dea6

Signed-off-by: Peter Seiderer <ps.report@gmx.net>
---
Changes v1 --> v2:
  - rebased on top of qt5: bump to version 5.4.0
  - changed old gstreamer-1.x porting patches against newer upstream
    committed one
---
 .../qt5multimedia/0002-GStreamer-port-to-1.0.patch | 7649 ++++++++++++++++++++
 .../0003-Fix-GStreamer-port-to-1.0-compile.patch   |  121 +
 package/qt5/qt5multimedia/qt5multimedia.mk         |    6 +-
 3 files changed, 7775 insertions(+), 1 deletion(-)
 create mode 100644 package/qt5/qt5multimedia/0002-GStreamer-port-to-1.0.patch
 create mode 100644 package/qt5/qt5multimedia/0003-Fix-GStreamer-port-to-1.0-compile.patch

diff --git a/package/qt5/qt5multimedia/qt5multimedia.mk b/package/qt5/qt5multimedia/qt5multimedia.mk
index 0c8d2ec..db52a7e 100644
--- a/package/qt5/qt5multimedia/qt5multimedia.mk
+++ b/package/qt5/qt5multimedia/qt5multimedia.mk
@@ -18,9 +18,13 @@ QT5MULTIMEDIA_LICENSE = Commercial license
 QT5MULTIMEDIA_REDISTRIBUTE = NO
 endif
 
+ifeq ($(BR2_PACKAGE_GST1_PLUGINS_BASE),y)
+QT5MULTIMEDIA_DEPENDENCIES += gst1-plugins-base
+else
 ifeq ($(BR2_PACKAGE_GST_PLUGINS_BASE),y)
 QT5MULTIMEDIA_DEPENDENCIES += gst-plugins-base
 endif
+endif
 
 ifeq ($(BR2_PACKAGE_QT5DECLARATIVE),y)
 QT5MULTIMEDIA_DEPENDENCIES += qt5declarative
@@ -40,7 +44,7 @@ define QT5MULTIMEDIA_INSTALL_STAGING_CMDS
 endef
 
 ifeq ($(BR2_STATIC_LIBS),)
-ifeq ($(BR2_PACKAGE_GST_PLUGINS_BASE),y)
+ifneq ($(BR2_PACKAGE_GST_PLUGINS_BASE)$(BR2_PACKAGE_GST1_PLUGINS_BASE),)
 define QT5MULTIMEDIA_INSTALL_TARGET_QGSTTOOLS_LIB
 	cp -dpf $(STAGING_DIR)/usr/lib/libqgsttools*.so.* $(TARGET_DIR)/usr/lib
 endef
-- 
2.1.2

